typedef CountryCode = ({
  String koreanName,
  String englishName,
  String officialName,
  String alpha2,
  String alpha3,
  String currencyCode,
  String currencyName,
  String currencyKoreanName,
  String currencySymbol,
  String flag,
  String dialCode,
});

List<CountryCode> countryList([String? keyword]) {
  final List<CountryCode> countries = [
    (
      koreanName: '아프가니스탄',
      englishName: 'Afghanistan',
      officialName: 'افغانستان',
      alpha2: 'AF',
      alpha3: 'AFG',
      currencyCode: 'AFN',
      currencyName: 'Afghan afghani',
      currencyKoreanName: '',
      currencySymbol: '؋',
      flag: '🇦🇫',
      dialCode: '+93',
    ),
    (
      koreanName: '알바니아',
      englishName: 'Albania',
      officialName: 'Shqipëria',
      alpha2: 'AL',
      alpha3: 'ALB',
      currencyCode: 'ALL',
      currencyName: 'Albanian lek',
      currencyKoreanName: '렉',
      currencySymbol: 'Lek',
      flag: '🇦🇱',
      dialCode: '+355',
    ),
    (
      koreanName: '남극',
      englishName: 'Antarctica',
      officialName: 'Antarctica',
      alpha2: 'AQ',
      alpha3: 'ATA',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇦🇶',
      dialCode: '+672',
    ),
    (
      koreanName: '알제리',
      englishName: 'Algeria',
      officialName: 'الجزائر',
      alpha2: 'DZ',
      alpha3: 'DZA',
      currencyCode: 'DZD',
      currencyName: 'Algerian dinar',
      currencyKoreanName: '디나르',
      currencySymbol: 'د.ج',
      flag: '🇩🇿',
      dialCode: '+213',
    ),
    (
      koreanName: '아메리칸사모아',
      englishName: 'American Samoa',
      officialName: 'American Samoa',
      alpha2: 'AS',
      alpha3: 'ASM',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇦🇸',
      dialCode: '+1684',
    ),
    (
      koreanName: '안도라',
      englishName: 'Andorra',
      officialName: 'Andorra',
      alpha2: 'AD',
      alpha3: 'AND',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇦🇩',
      dialCode: '+376',
    ),
    (
      koreanName: '앙골라',
      englishName: 'Angola',
      officialName: 'Angola',
      alpha2: 'AO',
      alpha3: 'AGO',
      currencyCode: 'AOA',
      currencyName: 'Angolan kwanza',
      currencyKoreanName: '',
      currencySymbol: 'Kz',
      flag: '🇦🇴',
      dialCode: '+244',
    ),
    (
      koreanName: '앤티가 바부다',
      englishName: 'Antigua and Barbuda',
      officialName: 'Antigua and Barbuda',
      alpha2: 'AG',
      alpha3: 'ATG',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇦🇬',
      dialCode: '+1268',
    ),
    (
      koreanName: '아제르바이잔',
      englishName: 'Azerbaijan',
      officialName: 'Azərbaycan',
      alpha2: 'AZ',
      alpha3: 'AZE',
      currencyCode: 'AZN',
      currencyName: 'Azerbaijani manat',
      currencyKoreanName: '',
      currencySymbol: 'ман',
      flag: '🇦🇿',
      dialCode: '+994',
    ),
    (
      koreanName: '아르헨티나',
      englishName: 'Argentina',
      officialName: 'Argentina',
      alpha2: 'AR',
      alpha3: 'ARG',
      currencyCode: 'ARS',
      currencyName: 'Argentine peso',
      currencyKoreanName: '페소',
      currencySymbol: '\$',
      flag: '🇦🇷',
      dialCode: '+54',
    ),
    (
      koreanName: '오스트레일리아',
      englishName: 'Australia',
      officialName: 'Australia',
      alpha2: 'AU',
      alpha3: 'AUS',
      currencyCode: 'AUD',
      currencyName: 'Australian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇦🇺',
      dialCode: '+61',
    ),
    (
      koreanName: '오스트리아',
      englishName: 'Austria',
      officialName: 'Österreich',
      alpha2: 'AT',
      alpha3: 'AUT',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇦🇹',
      dialCode: '+43',
    ),
    (
      koreanName: '바하마',
      englishName: 'Bahamas',
      officialName: 'Bahamas',
      alpha2: 'BS',
      alpha3: 'BHS',
      currencyCode: 'BSD',
      currencyName: 'Bahamian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇧🇸',
      dialCode: '+1242',
    ),
    (
      koreanName: '바레인',
      englishName: 'Bahrain',
      officialName: 'البحرين',
      alpha2: 'BH',
      alpha3: 'BHR',
      currencyCode: 'BHD',
      currencyName: 'Bahraini dinar',
      currencyKoreanName: '디나르',
      currencySymbol: 'دينار',
      flag: '🇧🇭',
      dialCode: '+973',
    ),
    (
      koreanName: '방글라데시',
      englishName: 'Bangladesh',
      officialName: 'বাংলাদেশ',
      alpha2: 'BD',
      alpha3: 'BGD',
      currencyCode: 'BDT',
      currencyName: 'Bangladeshi taka',
      currencyKoreanName: '타카',
      currencySymbol: '৳',
      flag: '🇧🇩',
      dialCode: '+880',
    ),
    (
      koreanName: '아르메니아',
      englishName: 'Armenia',
      officialName: 'Հայաստան',
      alpha2: 'AM',
      alpha3: 'ARM',
      currencyCode: 'AMD',
      currencyName: 'Armenian dram',
      currencyKoreanName: '',
      currencySymbol: '֏',
      flag: '🇦🇲',
      dialCode: '+374',
    ),
    (
      koreanName: '바베이도스',
      englishName: 'Barbados',
      officialName: 'Barbados',
      alpha2: 'BB',
      alpha3: 'BRB',
      currencyCode: 'BBD',
      currencyName: 'Barbadian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇧🇧',
      dialCode: '+1246',
    ),
    (
      koreanName: '벨기에',
      englishName: 'Belgium',
      officialName: 'België',
      alpha2: 'BE',
      alpha3: 'BEL',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇧🇪',
      dialCode: '+32',
    ),
    (
      koreanName: '버뮤다',
      englishName: 'Bermuda',
      officialName: 'Bermuda',
      alpha2: 'BM',
      alpha3: 'BMU',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇧🇲',
      dialCode: '+1441',
    ),
    (
      koreanName: '부탄',
      englishName: 'Bhutan',
      officialName: 'འབྲུག་ཡུལ',
      alpha2: 'BT',
      alpha3: 'BTN',
      currencyCode: 'BTN',
      currencyName: 'Bhutanese ngultrum',
      currencyKoreanName: '눌트럼',
      currencySymbol: 'Nu.',
      flag: '🇧🇹',
      dialCode: '+975',
    ),
    (
      koreanName: '볼리비아',
      englishName: 'Bolivia',
      officialName: 'Bolivia',
      alpha2: 'BO',
      alpha3: 'BOL',
      currencyCode: 'BOB',
      currencyName: 'Bolivian boliviano',
      currencyKoreanName: '볼리비아노',
      currencySymbol: '\$b',
      flag: '🇧🇴',
      dialCode: '+591',
    ),
    (
      koreanName: '보스니아 헤르체고비나',
      englishName: 'Bosnia and Herzegovina',
      officialName: 'Bosna i Hercegovina',
      alpha2: 'BA',
      alpha3: 'BIH',
      currencyCode: 'BAM',
      currencyName: 'Bosnia and Herzegovina konvertibilna marka',
      currencyKoreanName: '',
      currencySymbol: 'KM',
      flag: '🇧🇦',
      dialCode: '+387',
    ),
    (
      koreanName: '보츠와나',
      englishName: 'Botswana',
      officialName: 'Botswana',
      alpha2: 'BW',
      alpha3: 'BWA',
      currencyCode: 'BWP',
      currencyName: 'Botswana pula',
      currencyKoreanName: '풀라',
      currencySymbol: 'P',
      flag: '🇧🇼',
      dialCode: '+267',
    ),
    (
      koreanName: '부베 섬',
      englishName: 'Bouvet Island',
      officialName: 'Bouvet Island',
      alpha2: 'BV',
      alpha3: 'BVT',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇧🇻',
      dialCode: '+47',
    ),
    (
      koreanName: '브라질',
      englishName: 'Brazil',
      officialName: 'Brasil',
      alpha2: 'BR',
      alpha3: 'BRA',
      currencyCode: 'BRL',
      currencyName: 'Brazilian real',
      currencyKoreanName: '레알',
      currencySymbol: 'R\$',
      flag: '🇧🇷',
      dialCode: '+55',
    ),
    (
      koreanName: '벨리즈',
      englishName: 'Belize',
      officialName: 'Belize',
      alpha2: 'BZ',
      alpha3: 'BLZ',
      currencyCode: 'BZD',
      currencyName: 'Belize dollar',
      currencyKoreanName: '달러',
      currencySymbol: 'BZ\$',
      flag: '🇧🇿',
      dialCode: '+501',
    ),
    (
      koreanName: '영국령 인도양 지역',
      englishName: 'British Indian Ocean Territory',
      officialName: 'British Indian Ocean Territory',
      alpha2: 'IO',
      alpha3: 'IOT',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇮🇴',
      dialCode: '+246',
    ),
    (
      koreanName: '솔로몬 제도',
      englishName: 'Solomon Islands',
      officialName: 'Solomon Islands',
      alpha2: 'SB',
      alpha3: 'SLB',
      currencyCode: 'SBD',
      currencyName: 'Solomon Islands dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇸🇧',
      dialCode: '+677',
    ),
    (
      koreanName: '영국령 버진아일랜드',
      englishName: 'British Virgin Islands',
      officialName: 'Virgin Islands, British',
      alpha2: 'VG',
      alpha3: 'VGB',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇻🇬',
      dialCode: '+1284',
    ),
    (
      koreanName: '브루나이',
      englishName: 'Brunei',
      officialName: 'Brunei Darussalam',
      alpha2: 'BN',
      alpha3: 'BRN',
      currencyCode: 'BND',
      currencyName: 'Brunei dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇧🇳',
      dialCode: '+673',
    ),
    (
      koreanName: '불가리아',
      englishName: 'Bulgaria',
      officialName: 'България',
      alpha2: 'BG',
      alpha3: 'BGR',
      currencyCode: 'BGN',
      currencyName: 'Bulgarian lev',
      currencyKoreanName: '레프',
      currencySymbol: 'лв',
      flag: '🇧🇬',
      dialCode: '+359',
    ),
    (
      koreanName: '미얀마',
      englishName: 'Myanmar [Burma]',
      officialName: 'Myanmar(Burma)',
      alpha2: 'MM',
      alpha3: 'MMR',
      currencyCode: 'MMK',
      currencyName: 'Myanma kyat',
      currencyKoreanName: '차트',
      currencySymbol: 'Ks',
      flag: '🇲🇲',
      dialCode: '+95',
    ),
    (
      koreanName: '부룬디',
      englishName: 'Burundi',
      officialName: 'Uburundi',
      alpha2: 'BI',
      alpha3: 'BDI',
      currencyCode: 'BIF',
      currencyName: 'Burundi franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇧🇮',
      dialCode: '+257',
    ),
    (
      koreanName: '벨라루스',
      englishName: 'Belarus',
      officialName: 'Белару́сь',
      alpha2: 'BY',
      alpha3: 'BLR',
      currencyCode: 'BYN',
      currencyName: 'New Belarusian ruble',
      currencyKoreanName: '',
      currencySymbol: 'p.',
      flag: '🇧🇾',
      dialCode: '+375',
    ),
    (
      koreanName: '캄보디아',
      englishName: 'Cambodia',
      officialName: 'Kampuchea',
      alpha2: 'KH',
      alpha3: 'KHM',
      currencyCode: 'KHR',
      currencyName: 'Cambodian riel',
      currencyKoreanName: '리엘',
      currencySymbol: '៛',
      flag: '🇰🇭',
      dialCode: '+855',
    ),
    (
      koreanName: '카메룬',
      englishName: 'Cameroon',
      officialName: 'Cameroun',
      alpha2: 'CM',
      alpha3: 'CMR',
      currencyCode: 'XAF',
      currencyName: 'Central African CFA franc',
      currencyKoreanName: '(BEAC)',
      currencySymbol: 'Fr',
      flag: '🇨🇲',
      dialCode: '+237',
    ),
    (
      koreanName: '캐나다',
      englishName: 'Canada',
      officialName: 'Canada',
      alpha2: 'CA',
      alpha3: 'CAN',
      currencyCode: 'CAD',
      currencyName: 'Canadian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇨🇦',
      dialCode: '+1',
    ),
    (
      koreanName: '카보베르데',
      englishName: 'Cape Verde',
      officialName: 'Cabo Verde',
      alpha2: 'CV',
      alpha3: 'CPV',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇨🇻',
      dialCode: '+238',
    ),
    (
      koreanName: '케이맨 제도',
      englishName: 'Cayman Islands',
      officialName: 'Cayman Islands',
      alpha2: 'KY',
      alpha3: 'CYM',
      currencyCode: 'KYD',
      currencyName: 'Cayman Islands dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇰🇾',
      dialCode: '+1345',
    ),
    (
      koreanName: '중앙아프리카 공화국',
      englishName: 'Central African Republic',
      officialName: 'République Centrafricaine',
      alpha2: 'CF',
      alpha3: 'CAF',
      currencyCode: 'XAF',
      currencyName: 'Central African CFA franc',
      currencyKoreanName: '(BEAC)',
      currencySymbol: 'Fr',
      flag: '🇨🇫',
      dialCode: '+236',
    ),
    (
      koreanName: '스리랑카',
      englishName: 'Sri Lanka',
      officialName: 'Sri Lanka',
      alpha2: 'LK',
      alpha3: 'LKA',
      currencyCode: 'LKR',
      currencyName: 'Sri Lankan rupee',
      currencyKoreanName: '루피',
      currencySymbol: '₨',
      flag: '🇱🇰',
      dialCode: '+94',
    ),
    (
      koreanName: '차드',
      englishName: 'Chad',
      officialName: 'Tchad',
      alpha2: 'TD',
      alpha3: 'TCD',
      currencyCode: 'XAF',
      currencyName: 'Central African CFA franc',
      currencyKoreanName: '(BEAC)',
      currencySymbol: 'Fr',
      flag: '🇹🇩',
      dialCode: '+235',
    ),
    (
      koreanName: '칠레',
      englishName: 'Chile',
      officialName: 'Chile',
      alpha2: 'CL',
      alpha3: 'CHL',
      currencyCode: 'CLP',
      currencyName: 'Chilean peso',
      currencyKoreanName: '페소',
      currencySymbol: '\$',
      flag: '🇨🇱',
      dialCode: '+56',
    ),
    (
      koreanName: '중화인민공화국',
      englishName: 'China',
      officialName: '中国',
      alpha2: 'CN',
      alpha3: 'CHN',
      currencyCode: 'CNY',
      currencyName: 'Chinese renminbi',
      currencyKoreanName: '위안',
      currencySymbol: '¥',
      flag: '🇨🇳',
      dialCode: '+86',
    ),
    (
      koreanName: '중화민국',
      englishName: 'Taiwan',
      officialName: '台灣',
      alpha2: 'TW',
      alpha3: 'TWN',
      currencyCode: 'TWD',
      currencyName: 'New Taiwan dollar',
      currencyKoreanName: '달러',
      currencySymbol: 'NT\$',
      flag: '🇹🇼',
      dialCode: '+886',
    ),
    (
      koreanName: '크리스마스 섬',
      englishName: 'Christmas Island',
      officialName: 'Christmas Island',
      alpha2: 'CX',
      alpha3: 'CXR',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇨🇽',
      dialCode: '+61',
    ),
    (
      koreanName: '코코스 제도',
      englishName: 'Cocos [Keeling] Islands',
      officialName: 'Cocos Islands',
      alpha2: 'CC',
      alpha3: 'CCK',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇨🇨',
      dialCode: '+61',
    ),
    (
      koreanName: '콜롬비아',
      englishName: 'Colombia',
      officialName: 'Colombia',
      alpha2: 'CO',
      alpha3: 'COL',
      currencyCode: 'COP',
      currencyName: 'Colombian peso',
      currencyKoreanName: '페소',
      currencySymbol: '\$',
      flag: '🇨🇴',
      dialCode: '+57',
    ),
    (
      koreanName: '코모로',
      englishName: 'Comoros',
      officialName: 'Comores',
      alpha2: 'KM',
      alpha3: 'COM',
      currencyCode: 'KMF',
      currencyName: 'Comorian franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇰🇲',
      dialCode: '+269',
    ),
    (
      koreanName: '마요트',
      englishName: 'Mayotte',
      officialName: 'Mayotte',
      alpha2: 'YT',
      alpha3: 'MYT',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇾🇹',
      dialCode: '+262',
    ),
    (
      koreanName: '콩고 공화국',
      englishName: 'Congo [Republic]',
      officialName: 'Congo',
      alpha2: 'CG',
      alpha3: 'COG',
      currencyCode: 'XAF',
      currencyName: 'Central African CFA franc',
      currencyKoreanName: '(BEAC)',
      currencySymbol: 'Fr',
      flag: '🇨🇬',
      dialCode: '+242',
    ),
    (
      koreanName: '콩고 민주 공화국',
      englishName: 'Congo [DRC]',
      officialName: 'Congo, Democratic Republic of the',
      alpha2: 'CD',
      alpha3: 'COD',
      currencyCode: 'CDF',
      currencyName: 'Congolese franc',
      currencyKoreanName: '',
      currencySymbol: 'Fr',
      flag: '🇨🇩',
      dialCode: '+243',
    ),
    (
      koreanName: '쿡 제도',
      englishName: 'Cook Islands',
      officialName: 'Cook Islands',
      alpha2: 'CK',
      alpha3: 'COK',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇨🇰',
      dialCode: '+682',
    ),
    (
      koreanName: '코스타리카',
      englishName: 'Costa Rica',
      officialName: 'Costa Rica',
      alpha2: 'CR',
      alpha3: 'CRI',
      currencyCode: 'CRC',
      currencyName: 'Costa Rican colon',
      currencyKoreanName: '콜론',
      currencySymbol: '₡',
      flag: '🇨🇷',
      dialCode: '+506',
    ),
    (
      koreanName: '크로아티아',
      englishName: 'Croatia',
      officialName: 'Hrvatska',
      alpha2: 'HR',
      alpha3: 'HRV',
      currencyCode: 'HRK',
      currencyName: 'Croatian kuna',
      currencyKoreanName: '쿠나',
      currencySymbol: 'kn',
      flag: '🇭🇷',
      dialCode: '+385',
    ),
    (
      koreanName: '쿠바',
      englishName: 'Cuba',
      officialName: 'Cuba',
      alpha2: 'CU',
      alpha3: 'CUB',
      currencyCode: 'CUP',
      currencyName: 'Cuban peso',
      currencyKoreanName: '페소',
      currencySymbol: '\$',
      flag: '🇨🇺',
      dialCode: '+53',
    ),
    (
      koreanName: '키프로스',
      englishName: 'Cyprus',
      officialName: 'Κυπρος',
      alpha2: 'CY',
      alpha3: 'CYP',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇨🇾',
      dialCode: '+357',
    ),
    (
      koreanName: '체코',
      englishName: 'Czech Republic',
      officialName: 'Česko',
      alpha2: 'CZ',
      alpha3: 'CZE',
      currencyCode: 'CZK',
      currencyName: 'Czech koruna',
      currencyKoreanName: '코루나',
      currencySymbol: 'Kč',
      flag: '🇨🇿',
      dialCode: '+420',
    ),
    (
      koreanName: '베냉',
      englishName: 'Benin',
      officialName: 'Bénin',
      alpha2: 'BJ',
      alpha3: 'BEN',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇧🇯',
      dialCode: '+229',
    ),
    (
      koreanName: '덴마크',
      englishName: 'Denmark',
      officialName: 'Danmark',
      alpha2: 'DK',
      alpha3: 'DNK',
      currencyCode: 'DKK',
      currencyName: 'Danish krone',
      currencyKoreanName: '크로네',
      currencySymbol: 'kr',
      flag: '🇩🇰',
      dialCode: '+45',
    ),
    (
      koreanName: '도미니카 연방',
      englishName: 'Dominica',
      officialName: 'Dominica',
      alpha2: 'DM',
      alpha3: 'DMA',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇩🇲',
      dialCode: '+1767',
    ),
    (
      koreanName: '도미니카 공화국',
      englishName: 'Dominican Republic',
      officialName: 'Dominican Republic',
      alpha2: 'DO',
      alpha3: 'DOM',
      currencyCode: 'DOP',
      currencyName: 'Dominican peso',
      currencyKoreanName: '페소',
      currencySymbol: 'RD\$',
      flag: '🇩🇴',
      dialCode: '+1849',
    ),
    (
      koreanName: '에콰도르',
      englishName: 'Ecuador',
      officialName: 'Ecuador',
      alpha2: 'EC',
      alpha3: 'ECU',
      currencyCode: 'USD',
      currencyName: 'U.S. Dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇪🇨',
      dialCode: '+593',
    ),
    (
      koreanName: '엘살바도르',
      englishName: 'El Salvador',
      officialName: 'El Salvador',
      alpha2: 'SV',
      alpha3: 'SLV',
      currencyCode: 'USD',
      currencyName: 'U.S. Dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇸🇻',
      dialCode: '+503',
    ),
    (
      koreanName: '적도 기니',
      englishName: 'Equatorial Guinea',
      officialName: 'Guinea Ecuatorial',
      alpha2: 'GQ',
      alpha3: 'GNQ',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇬🇶',
      dialCode: '+240',
    ),
    (
      koreanName: '에티오피아',
      englishName: 'Ethiopia',
      officialName: 'Ityop\'iya',
      alpha2: 'ET',
      alpha3: 'ETH',
      currencyCode: 'ETB',
      currencyName: 'Ethiopian birr',
      currencyKoreanName: '비르',
      currencySymbol: 'Br',
      flag: '🇪🇹',
      dialCode: '+251',
    ),
    (
      koreanName: '에리트레아',
      englishName: 'Eritrea',
      officialName: 'Ertra',
      alpha2: 'ER',
      alpha3: 'ERI',
      currencyCode: 'ERN',
      currencyName: 'Eritrean nakfa',
      currencyKoreanName: '',
      currencySymbol: 'Nfk',
      flag: '🇪🇷',
      dialCode: '+291',
    ),
    (
      koreanName: '에스토니아',
      englishName: 'Estonia',
      officialName: 'Eesti',
      alpha2: 'EE',
      alpha3: 'EST',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇪🇪',
      dialCode: '+372',
    ),
    (
      koreanName: '페로 제도',
      englishName: 'Faroe Islands',
      officialName: 'Faroe Islands',
      alpha2: 'FO',
      alpha3: 'FRO',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇫🇴',
      dialCode: '+298',
    ),
    (
      koreanName: '포클랜드 제도',
      englishName: 'Falkland Islands [Islas Malvinas]',
      officialName: 'Falkland Islands',
      alpha2: 'FK',
      alpha3: 'FLK',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇫🇰',
      dialCode: '+500',
    ),
    (
      koreanName: '사우스조지아 사우스샌드위치 제도',
      englishName: 'South Georgia and the South Sandwich Islands',
      officialName: 'South Georgia and the South Sandwich Islands',
      alpha2: 'GS',
      alpha3: 'SGS',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇬🇸',
      dialCode: '+500',
    ),
    (
      koreanName: '피지',
      englishName: 'Fiji',
      officialName: 'Fiji',
      alpha2: 'FJ',
      alpha3: 'FJI',
      currencyCode: 'FJD',
      currencyName: 'Fijian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇫🇯',
      dialCode: '+679',
    ),
    (
      koreanName: '핀란드',
      englishName: 'Finland',
      officialName: 'Suomi',
      alpha2: 'FI',
      alpha3: 'FIN',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇫🇮',
      dialCode: '+358',
    ),
    (
      koreanName: '올란드 제도',
      englishName: 'ALAND ISLANDS',
      officialName: 'Aland Islands',
      alpha2: 'AX',
      alpha3: 'ALA',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇦🇽',
      dialCode: '+358',
    ),
    (
      koreanName: '프랑스',
      englishName: 'France',
      officialName: 'France',
      alpha2: 'FR',
      alpha3: 'FRA',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇫🇷',
      dialCode: '+33',
    ),
    (
      koreanName: '프랑스령 기아나',
      englishName: 'French Guiana',
      officialName: 'French Guiana',
      alpha2: 'GF',
      alpha3: 'GUF',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇬🇫',
      dialCode: '+594',
    ),
    (
      koreanName: '프랑스령 폴리네시아',
      englishName: 'French Polynesia',
      officialName: 'French Polynesia',
      alpha2: 'PF',
      alpha3: 'PYF',
      currencyCode: 'XPF',
      currencyName: 'CFP franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇵🇫',
      dialCode: '+689',
    ),
    (
      koreanName: '프랑스령 남부와 남극 지역',
      englishName: 'French Southern Territories',
      officialName: 'French Southern Territories',
      alpha2: 'TF',
      alpha3: 'ATF',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇹🇫',
      dialCode: '+262',
    ),
    (
      koreanName: '지부티',
      englishName: 'Djibouti',
      officialName: 'Djibouti',
      alpha2: 'DJ',
      alpha3: 'DJI',
      currencyCode: 'DJF',
      currencyName: 'Djiboutian franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇩🇯',
      dialCode: '+253',
    ),
    (
      koreanName: '가봉',
      englishName: 'Gabon',
      officialName: 'Gabon',
      alpha2: 'GA',
      alpha3: 'GAB',
      currencyCode: 'XAF',
      currencyName: 'Central African CFA franc',
      currencyKoreanName: '(BEAC)',
      currencySymbol: 'Fr',
      flag: '🇬🇦',
      dialCode: '+241',
    ),
    (
      koreanName: '조지아',
      englishName: 'Georgia',
      officialName: 'საქართველო',
      alpha2: 'GE',
      alpha3: 'GEO',
      currencyCode: 'GEL',
      currencyName: 'Georgian lari',
      currencyKoreanName: '',
      currencySymbol: '₾',
      flag: '🇬🇪',
      dialCode: '+995',
    ),
    (
      koreanName: '감비아',
      englishName: 'Gambia',
      officialName: 'Gambia',
      alpha2: 'GM',
      alpha3: 'GMB',
      currencyCode: 'GMD',
      currencyName: 'Gambian dalasi',
      currencyKoreanName: '달라시',
      currencySymbol: 'D',
      flag: '🇬🇲',
      dialCode: '+220',
    ),
    (
      koreanName: '팔레스타인',
      englishName: 'Palestinian Territories',
      officialName: 'Palestinian Territories',
      alpha2: 'PS',
      alpha3: 'PSE',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇵🇸',
      dialCode: '+970',
    ),
    (
      koreanName: '독일',
      englishName: 'Germany',
      officialName: 'Deutschland',
      alpha2: 'DE',
      alpha3: 'DEU',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇩🇪',
      dialCode: '+49',
    ),
    (
      koreanName: '가나',
      englishName: 'Ghana',
      officialName: 'Ghana',
      alpha2: 'GH',
      alpha3: 'GHA',
      currencyCode: 'GHS',
      currencyName: 'Ghanaian cedi',
      currencyKoreanName: '세디',
      currencySymbol: '₵',
      flag: '🇬🇭',
      dialCode: '+233',
    ),
    (
      koreanName: '지브롤터',
      englishName: 'Gibraltar',
      officialName: 'Gibraltar',
      alpha2: 'GI',
      alpha3: 'GIB',
      currencyCode: 'GIP',
      currencyName: 'Gibraltar pound',
      currencyKoreanName: '',
      currencySymbol: '£',
      flag: '🇬🇮',
      dialCode: '+350',
    ),
    (
      koreanName: '키리바시',
      englishName: 'Kiribati',
      officialName: 'Kiribati',
      alpha2: 'KI',
      alpha3: 'KIR',
      currencyCode: 'AUD',
      currencyName: 'Australian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇰🇮',
      dialCode: '+686',
    ),
    (
      koreanName: '그리스',
      englishName: 'Greece',
      officialName: 'Ελλάς',
      alpha2: 'GR',
      alpha3: 'GRC',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇬🇷',
      dialCode: '+30',
    ),
    (
      koreanName: '그린란드',
      englishName: 'Greenland',
      officialName: 'Greenland',
      alpha2: 'GL',
      alpha3: 'GRL',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇬🇱',
      dialCode: '+299',
    ),
    (
      koreanName: '그레나다',
      englishName: 'Grenada',
      officialName: 'Grenada',
      alpha2: 'GD',
      alpha3: 'GRD',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇬🇩',
      dialCode: '+1473',
    ),
    (
      koreanName: '과들루프',
      englishName: 'Guadeloupe',
      officialName: 'Guadeloupe',
      alpha2: 'GP',
      alpha3: 'GLP',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇬🇵',
      dialCode: '+590',
    ),
    (
      koreanName: '괌',
      englishName: 'Guam',
      officialName: 'Guam',
      alpha2: 'GU',
      alpha3: 'GUM',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇬🇺',
      dialCode: '+1671',
    ),
    (
      koreanName: '과테말라',
      englishName: 'Guatemala',
      officialName: 'Guatemala',
      alpha2: 'GT',
      alpha3: 'GTM',
      currencyCode: 'GTQ',
      currencyName: 'Guatemalan quetzal',
      currencyKoreanName: '퀘찰',
      currencySymbol: 'Q',
      flag: '🇬🇹',
      dialCode: '+502',
    ),
    (
      koreanName: '기니',
      englishName: 'Guinea',
      officialName: 'Guinée',
      alpha2: 'GN',
      alpha3: 'GIN',
      currencyCode: 'GNF',
      currencyName: 'Guinean franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇬🇳',
      dialCode: '+224',
    ),
    (
      koreanName: '가이아나',
      englishName: 'Guyana',
      officialName: 'Guyana',
      alpha2: 'GY',
      alpha3: 'GUY',
      currencyCode: 'GYD',
      currencyName: 'Guyanese dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇬🇾',
      dialCode: '+592',
    ),
    (
      koreanName: '아이티',
      englishName: 'Haiti',
      officialName: 'Haïti',
      alpha2: 'HT',
      alpha3: 'HTI',
      currencyCode: 'HTG',
      currencyName: 'Haitian gourde',
      currencyKoreanName: '구르드',
      currencySymbol: 'G',
      flag: '🇭🇹',
      dialCode: '+509',
    ),
    (
      koreanName: '허드 맥도널드 제도',
      englishName: 'Heard Island and McDonald Islands',
      officialName: 'Heard Island and McDonald Islands',
      alpha2: 'HM',
      alpha3: 'HMD',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇭🇲',
      dialCode: '+672',
    ),
    (
      koreanName: '바티칸 시국',
      englishName: 'Vatican City',
      officialName: 'Città del Vaticano',
      alpha2: 'VA',
      alpha3: 'VAT',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇻🇦',
      dialCode: '+379',
    ),
    (
      koreanName: '온두라스',
      englishName: 'Honduras',
      officialName: 'Honduras',
      alpha2: 'HN',
      alpha3: 'HND',
      currencyCode: 'HNL',
      currencyName: 'Honduran lempira',
      currencyKoreanName: '렘피라',
      currencySymbol: 'L',
      flag: '🇭🇳',
      dialCode: '+504',
    ),
    (
      koreanName: '홍콩',
      englishName: 'Hong Kong',
      officialName: 'Hong Kong',
      alpha2: 'HK',
      alpha3: 'HKG',
      currencyCode: 'HKD',
      currencyName: 'Hong Kong dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇭🇰',
      dialCode: '+852',
    ),
    (
      koreanName: '헝가리',
      englishName: 'Hungary',
      officialName: 'Magyarország',
      alpha2: 'HU',
      alpha3: 'HUN',
      currencyCode: 'HUF',
      currencyName: 'Hungarian forint',
      currencyKoreanName: '포린트',
      currencySymbol: 'Ft',
      flag: '🇭🇺',
      dialCode: '+36',
    ),
    (
      koreanName: '아이슬란드',
      englishName: 'Iceland',
      officialName: 'Ísland',
      alpha2: 'IS',
      alpha3: 'ISL',
      currencyCode: 'ISK',
      currencyName: 'Icelandic króna',
      currencyKoreanName: '크로네',
      currencySymbol: 'kr',
      flag: '🇮🇸',
      dialCode: '+354',
    ),
    (
      koreanName: '인도',
      englishName: 'India',
      officialName: 'India',
      alpha2: 'IN',
      alpha3: 'IND',
      currencyCode: 'INR',
      currencyName: 'Indian rupee',
      currencyKoreanName: '루피',
      currencySymbol: '₹',
      flag: '🇮🇳',
      dialCode: '+91',
    ),
    (
      koreanName: '인도네시아',
      englishName: 'Indonesia',
      officialName: 'Indonesia',
      alpha2: 'ID',
      alpha3: 'IDN',
      currencyCode: 'IDR',
      currencyName: 'Indonesian rupiah',
      currencyKoreanName: '루피아',
      currencySymbol: 'Rp',
      flag: '🇮🇩',
      dialCode: '+62',
    ),
    (
      koreanName: '이란',
      englishName: 'Iran',
      officialName: 'ایران',
      alpha2: 'IR',
      alpha3: 'IRN',
      currencyCode: 'IRR',
      currencyName: 'Iranian rial',
      currencyKoreanName: '리알',
      currencySymbol: '﷼',
      flag: '🇮🇷',
      dialCode: '+98',
    ),
    (
      koreanName: '이라크',
      englishName: 'Iraq',
      officialName: 'العراق',
      alpha2: 'IQ',
      alpha3: 'IRQ',
      currencyCode: 'IQD',
      currencyName: 'Iraqi dinar',
      currencyKoreanName: '디나르',
      currencySymbol: 'ع.د',
      flag: '🇮🇶',
      dialCode: '+964',
    ),
    (
      koreanName: '아일랜드',
      englishName: 'Ireland',
      officialName: 'Ireland',
      alpha2: 'IE',
      alpha3: 'IRL',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇮🇪',
      dialCode: '+353',
    ),
    (
      koreanName: '이스라엘',
      englishName: 'Israel',
      officialName: 'ישראל',
      alpha2: 'IL',
      alpha3: 'ISR',
      currencyCode: 'ILS',
      currencyName: 'Israeli new sheqel',
      currencyKoreanName: '셰켈',
      currencySymbol: '₪',
      flag: '🇮🇱',
      dialCode: '+972',
    ),
    (
      koreanName: '이탈리아',
      englishName: 'Italy',
      officialName: 'Italia',
      alpha2: 'IT',
      alpha3: 'ITA',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇮🇹',
      dialCode: '+39',
    ),
    (
      koreanName: '코트디부아르',
      englishName: 'Côte d\'Ivoire',
      officialName: 'Côte d\'Ivoire',
      alpha2: 'CI',
      alpha3: 'CIV',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇨🇮',
      dialCode: '+225',
    ),
    (
      koreanName: '자메이카',
      englishName: 'Jamaica',
      officialName: 'Jamaica',
      alpha2: 'JM',
      alpha3: 'JAM',
      currencyCode: 'JMD',
      currencyName: 'Jamaican dollar',
      currencyKoreanName: '',
      currencySymbol: 'J\$',
      flag: '🇯🇲',
      dialCode: '+1876',
    ),
    (
      koreanName: '일본',
      englishName: 'Japan',
      officialName: '日本',
      alpha2: 'JP',
      alpha3: 'JPN',
      currencyCode: 'JPY',
      currencyName: 'Japanese yen',
      currencyKoreanName: '엔',
      currencySymbol: '¥',
      flag: '🇯🇵',
      dialCode: '+81',
    ),
    (
      koreanName: '카자흐스탄',
      englishName: 'Kazakhstan',
      officialName: 'Қазақстан',
      alpha2: 'KZ',
      alpha3: 'KAZ',
      currencyCode: 'KZT',
      currencyName: 'Kazakhstani tenge',
      currencyKoreanName: '텡게',
      currencySymbol: 'лв',
      flag: '🇰🇿',
      dialCode: '+7',
    ),
    (
      koreanName: '요르단',
      englishName: 'Jordan',
      officialName: 'الاردن',
      alpha2: 'JO',
      alpha3: 'JOR',
      currencyCode: 'JOD',
      currencyName: 'Jordanian dinar',
      currencyKoreanName: '디나르',
      currencySymbol: 'د.ا ',
      flag: '🇯🇴',
      dialCode: '+962',
    ),
    (
      koreanName: '케냐',
      englishName: 'Kenya',
      officialName: 'Kenya',
      alpha2: 'KE',
      alpha3: 'KEN',
      currencyCode: 'KES',
      currencyName: 'Kenyan shilling',
      currencyKoreanName: '실링',
      currencySymbol: 'KSh',
      flag: '🇰🇪',
      dialCode: '+254',
    ),
    (
      koreanName: '조선민주주의인민공화국',
      englishName: 'North Korea',
      officialName: '조선',
      alpha2: 'KP',
      alpha3: 'PRK',
      currencyCode: 'KPW',
      currencyName: 'North Korean won',
      currencyKoreanName: '원',
      currencySymbol: '₩',
      flag: '🇰🇵',
      dialCode: '+850',
    ),
    (
      koreanName: '대한민국',
      englishName: 'South Korea',
      officialName: '한국',
      alpha2: 'KR',
      alpha3: 'KOR',
      currencyCode: 'KRW',
      currencyName: 'South Korean won',
      currencyKoreanName: '원',
      currencySymbol: '₩',
      flag: '🇰🇷',
      dialCode: '+82',
    ),
    (
      koreanName: '쿠웨이트',
      englishName: 'Kuwait',
      officialName: 'الكويت',
      alpha2: 'KW',
      alpha3: 'KWT',
      currencyCode: 'KWD',
      currencyName: 'Kuwaiti dinar',
      currencyKoreanName: '디나르',
      currencySymbol: 'د.ك',
      flag: '🇰🇼',
      dialCode: '+965',
    ),
    (
      koreanName: '키르기스스탄',
      englishName: 'Kyrgyzstan',
      officialName: 'Кыргызстан',
      alpha2: 'KG',
      alpha3: 'KGZ',
      currencyCode: 'KGS',
      currencyName: 'Kyrgyzstani som',
      currencyKoreanName: '솜',
      currencySymbol: 'лв',
      flag: '🇰🇬',
      dialCode: '+996',
    ),
    (
      koreanName: '라오스',
      englishName: 'Laos',
      officialName: 'ນລາວ',
      alpha2: 'LA',
      alpha3: 'LAO',
      currencyCode: 'LAK',
      currencyName: 'Lao kip',
      currencyKoreanName: '',
      currencySymbol: '₭',
      flag: '🇱🇦',
      dialCode: '+856',
    ),
    (
      koreanName: '레바논',
      englishName: 'Lebanon',
      officialName: 'لبنان',
      alpha2: 'LB',
      alpha3: 'LBN',
      currencyCode: 'LBP',
      currencyName: 'Lebanese lira',
      currencyKoreanName: '',
      currencySymbol: '£',
      flag: '🇱🇧',
      dialCode: '+961',
    ),
    (
      koreanName: '레소토',
      englishName: 'Lesotho',
      officialName: 'Lesotho',
      alpha2: 'LS',
      alpha3: 'LSO',
      currencyCode: 'LSL',
      currencyName: 'Lesotho loti',
      currencyKoreanName: '',
      currencySymbol: 'L',
      flag: '🇱🇸',
      dialCode: '+266',
    ),
    (
      koreanName: '라트비아',
      englishName: 'Latvia',
      officialName: 'Latvija',
      alpha2: 'LV',
      alpha3: 'LVA',
      currencyCode: 'LVL',
      currencyName: 'Latvian lats',
      currencyKoreanName: '',
      currencySymbol: 'Ls',
      flag: '🇱🇻',
      dialCode: '+371',
    ),
    (
      koreanName: '라이베리아',
      englishName: 'Liberia',
      officialName: 'Liberia',
      alpha2: 'LR',
      alpha3: 'LBR',
      currencyCode: 'LRD',
      currencyName: 'Liberian dollar',
      currencyKoreanName: '',
      currencySymbol: '\$',
      flag: '🇱🇷',
      dialCode: '+231',
    ),
    (
      koreanName: '리비아',
      englishName: 'Libya',
      officialName: 'ليبيا',
      alpha2: 'LY',
      alpha3: 'LBY',
      currencyCode: 'LYD',
      currencyName: 'Libyan dinar',
      currencyKoreanName: '',
      currencySymbol: 'ل.د',
      flag: '🇱🇾',
      dialCode: '+218',
    ),
    (
      koreanName: '리히텐슈타인',
      englishName: 'Liechtenstein',
      officialName: 'Liechtenstein',
      alpha2: 'LI',
      alpha3: 'LIE',
      currencyCode: 'CHF',
      currencyName: 'Swiss Franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr.',
      flag: '🇱🇮',
      dialCode: '+423',
    ),
    (
      koreanName: '리투아니아',
      englishName: 'Lithuania',
      officialName: 'Lietuva',
      alpha2: 'LT',
      alpha3: 'LTU',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇱🇹',
      dialCode: '+370',
    ),
    (
      koreanName: '룩셈부르크',
      englishName: 'Luxembourg',
      officialName: 'Lëtzebuerg',
      alpha2: 'LU',
      alpha3: 'LUX',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇱🇺',
      dialCode: '+352',
    ),
    (
      koreanName: '마카오',
      englishName: 'Macau',
      officialName: 'Macao',
      alpha2: 'MO',
      alpha3: 'MAC',
      currencyCode: 'MOP',
      currencyName: 'Macanese pataca',
      currencyKoreanName: '파타카',
      currencySymbol: 'P',
      flag: '🇲🇴',
      dialCode: '+853',
    ),
    (
      koreanName: '마다가스카르',
      englishName: 'Madagascar',
      officialName: 'Madagasikara',
      alpha2: 'MG',
      alpha3: 'MDG',
      currencyCode: 'MGA',
      currencyName: 'Malagasy ariary',
      currencyKoreanName: '',
      currencySymbol: 'Ar',
      flag: '🇲🇬',
      dialCode: '+261',
    ),
    (
      koreanName: '말라위',
      englishName: 'Malawi',
      officialName: 'Malawi',
      alpha2: 'MW',
      alpha3: 'MWI',
      currencyCode: 'MWK',
      currencyName: 'Malawian kwacha',
      currencyKoreanName: '콰차',
      currencySymbol: 'MK',
      flag: '🇲🇼',
      dialCode: '+265',
    ),
    (
      koreanName: '말레이시아',
      englishName: 'Malaysia',
      officialName: 'Malaysia',
      alpha2: 'MY',
      alpha3: 'MYS',
      currencyCode: 'MYR',
      currencyName: 'Malaysian ringgit',
      currencyKoreanName: '링깃',
      currencySymbol: 'RM',
      flag: '🇲🇾',
      dialCode: '+60',
    ),
    (
      koreanName: '몰디브',
      englishName: 'Maldives',
      officialName: 'ގުޖޭއްރާ ޔާއްރިހޫމްޖ',
      alpha2: 'MV',
      alpha3: 'MDV',
      currencyCode: 'MVR',
      currencyName: 'Maldivian rufiyaa',
      currencyKoreanName: '루피야',
      currencySymbol: '.ރ',
      flag: '🇲🇻',
      dialCode: '+960',
    ),
    (
      koreanName: '말리',
      englishName: 'Mali',
      officialName: 'Mali',
      alpha2: 'ML',
      alpha3: 'MLI',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇲🇱',
      dialCode: '+223',
    ),
    (
      koreanName: '몰타',
      englishName: 'Malta',
      officialName: 'Malta',
      alpha2: 'MT',
      alpha3: 'MLT',
      currencyCode: 'EUR',
      currencyName: 'European Euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇲🇹',
      dialCode: '+356',
    ),
    (
      koreanName: '마르티니크',
      englishName: 'Martinique',
      officialName: 'Martinique',
      alpha2: 'MQ',
      alpha3: 'MTQ',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇲🇶',
      dialCode: '+596',
    ),
    (
      koreanName: '모리타니',
      englishName: 'Mauritania',
      officialName: 'موريتانيا',
      alpha2: 'MR',
      alpha3: 'MRT',
      currencyCode: 'MRO',
      currencyName: 'Mauritanian ouguiya',
      currencyKoreanName: '우기야',
      currencySymbol: 'UM',
      flag: '🇲🇷',
      dialCode: '+222',
    ),
    (
      koreanName: '모리셔스',
      englishName: 'Mauritius',
      officialName: 'Mauritius',
      alpha2: 'MU',
      alpha3: 'MUS',
      currencyCode: 'MUR',
      currencyName: 'Mauritian rupee',
      currencyKoreanName: '루피',
      currencySymbol: '₨',
      flag: '🇲🇺',
      dialCode: '+230',
    ),
    (
      koreanName: '멕시코',
      englishName: 'Mexico',
      officialName: 'México',
      alpha2: 'MX',
      alpha3: 'MEX',
      currencyCode: 'MXN',
      currencyName: 'Mexican peso',
      currencyKoreanName: '페소',
      currencySymbol: '\$',
      flag: '🇲🇽',
      dialCode: '+52',
    ),
    (
      koreanName: '모나코',
      englishName: 'Monaco',
      officialName: 'Monaco',
      alpha2: 'MC',
      alpha3: 'MCO',
      currencyCode: 'EUR',
      currencyName: 'European Euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇲🇨',
      dialCode: '+377',
    ),
    (
      koreanName: '몽골',
      englishName: 'Mongolia',
      officialName: 'Монгол Улс',
      alpha2: 'MN',
      alpha3: 'MNG',
      currencyCode: 'MNT',
      currencyName: 'Mongolian tugrik',
      currencyKoreanName: '투그릭',
      currencySymbol: '₮',
      flag: '🇲🇳',
      dialCode: '+976',
    ),
    (
      koreanName: '몰도바',
      englishName: 'Moldova',
      officialName: 'Moldova',
      alpha2: 'MD',
      alpha3: 'MDA',
      currencyCode: 'MDL',
      currencyName: 'Moldovan leu',
      currencyKoreanName: '레우',
      currencySymbol: 'L',
      flag: '🇲🇩',
      dialCode: '+373',
    ),
    (
      koreanName: '몬테네그로',
      englishName: 'Montenegro',
      officialName: 'Црна Гора',
      alpha2: 'ME',
      alpha3: 'MNE',
      currencyCode: 'EUR',
      currencyName: 'European Euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇲🇪',
      dialCode: '+382',
    ),
    (
      koreanName: '몬트세랫',
      englishName: 'Montserrat',
      officialName: 'Montserrat',
      alpha2: 'MS',
      alpha3: 'MSR',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇲🇸',
      dialCode: '+1664',
    ),
    (
      koreanName: '모로코',
      englishName: 'Morocco',
      officialName: 'المغرب',
      alpha2: 'MA',
      alpha3: 'MAR',
      currencyCode: 'MAD',
      currencyName: 'Moroccan dirham',
      currencyKoreanName: '디르함',
      currencySymbol: 'د.م.',
      flag: '🇲🇦',
      dialCode: '+212',
    ),
    (
      koreanName: '모잠비크',
      englishName: 'Mozambique',
      officialName: 'Moçambique',
      alpha2: 'MZ',
      alpha3: 'MOZ',
      currencyCode: 'MZN',
      currencyName: 'Mozambican metical',
      currencyKoreanName: '',
      currencySymbol: 'MT',
      flag: '🇲🇿',
      dialCode: '+258',
    ),
    (
      koreanName: '오만',
      englishName: 'Oman',
      officialName: 'عمان',
      alpha2: 'OM',
      alpha3: 'OMN',
      currencyCode: 'OMR',
      currencyName: 'Omani rial',
      currencyKoreanName: '리알',
      currencySymbol: '﷼',
      flag: '🇴🇲',
      dialCode: '+968',
    ),
    (
      koreanName: '나미비아',
      englishName: 'Namibia',
      officialName: 'Namibia',
      alpha2: 'NA',
      alpha3: 'NAM',
      currencyCode: 'NAD',
      currencyName: 'Namibian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇳🇦',
      dialCode: '+264',
    ),
    (
      koreanName: '나우루',
      englishName: 'Nauru',
      officialName: 'Naoero',
      alpha2: 'NR',
      alpha3: 'NRU',
      currencyCode: 'AUD',
      currencyName: 'Australian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇳🇷',
      dialCode: '+674',
    ),
    (
      koreanName: '네팔',
      englishName: 'Nepal',
      officialName: 'नेपाल',
      alpha2: 'NP',
      alpha3: 'NPL',
      currencyCode: 'NPR',
      currencyName: 'Nepalese rupee',
      currencyKoreanName: '루피',
      currencySymbol: '₨',
      flag: '🇳🇵',
      dialCode: '+977',
    ),
    (
      koreanName: '네덜란드',
      englishName: 'Netherlands',
      officialName: 'Nederland',
      alpha2: 'NL',
      alpha3: 'NLD',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇳🇱',
      dialCode: '+31',
    ),
    (
      koreanName: '네덜란드령 안틸레스',
      englishName: 'Netherlands Antilles',
      officialName: 'Netherlands Antilles',
      alpha2: 'AN',
      alpha3: 'ANT',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '',
      dialCode: '+599',
    ),
    (
      koreanName: '아루바',
      englishName: 'Aruba',
      officialName: 'Aruba',
      alpha2: 'AW',
      alpha3: 'ABW',
      currencyCode: 'AWG',
      currencyName: 'Aruban florin',
      currencyKoreanName: '플로린',
      currencySymbol: 'ƒ',
      flag: '🇦🇼',
      dialCode: '+297',
    ),
    (
      koreanName: '누벨칼레도니',
      englishName: 'New Caledonia',
      officialName: 'New Caledonia',
      alpha2: 'NC',
      alpha3: 'NCL',
      currencyCode: 'XPF',
      currencyName: 'CFP franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇳🇨',
      dialCode: '+687',
    ),
    (
      koreanName: '바누아투',
      englishName: 'Vanuatu',
      officialName: 'Vanuatu',
      alpha2: 'VU',
      alpha3: 'VUT',
      currencyCode: 'VUV',
      currencyName: 'Vanuatu vatu',
      currencyKoreanName: '바투',
      currencySymbol: 'Vt',
      flag: '🇻🇺',
      dialCode: '+678',
    ),
    (
      koreanName: '뉴질랜드',
      englishName: 'New Zealand',
      officialName: 'New Zealand',
      alpha2: 'NZ',
      alpha3: 'NZL',
      currencyCode: 'NZD',
      currencyName: 'New Zealand dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇳🇿',
      dialCode: '+64',
    ),
    (
      koreanName: '니카라과',
      englishName: 'Nicaragua',
      officialName: 'Nicaragua',
      alpha2: 'NI',
      alpha3: 'NIC',
      currencyCode: 'NIO',
      currencyName: 'Nicaraguan cordoba',
      currencyKoreanName: '코르도바',
      currencySymbol: 'C\$',
      flag: '🇳🇮',
      dialCode: '+505',
    ),
    (
      koreanName: '니제르',
      englishName: 'Niger',
      officialName: 'Niger',
      alpha2: 'NE',
      alpha3: 'NER',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇳🇪',
      dialCode: '+227',
    ),
    (
      koreanName: '나이지리아',
      englishName: 'Nigeria',
      officialName: 'Nigeria',
      alpha2: 'NG',
      alpha3: 'NGA',
      currencyCode: 'NGN',
      currencyName: 'Nigerian naira',
      currencyKoreanName: '나이라',
      currencySymbol: '₦',
      flag: '🇳🇬',
      dialCode: '+234',
    ),
    (
      koreanName: '니우에',
      englishName: 'Niue',
      officialName: 'Niue',
      alpha2: 'NU',
      alpha3: 'NIU',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇳🇺',
      dialCode: '+683',
    ),
    (
      koreanName: '노퍽 섬',
      englishName: 'Norfolk Island',
      officialName: 'Norfolk Island',
      alpha2: 'NF',
      alpha3: 'NFK',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇳🇫',
      dialCode: '+672',
    ),
    (
      koreanName: '노르웨이',
      englishName: 'Norway',
      officialName: 'Norge',
      alpha2: 'NO',
      alpha3: 'NOR',
      currencyCode: 'NOK',
      currencyName: 'Norwegian krone',
      currencyKoreanName: '크로네',
      currencySymbol: 'kr',
      flag: '🇳🇴',
      dialCode: '+47',
    ),
    (
      koreanName: '북마리아나 제도',
      englishName: 'Northern Mariana Islands',
      officialName: 'Northern Mariana Islands',
      alpha2: 'MP',
      alpha3: 'MNP',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇲🇵',
      dialCode: '+1670',
    ),
    (
      koreanName: '미국령 군소 제도',
      englishName: 'U.S. Minor Outlying Islands',
      officialName: 'United States minor outlying islands',
      alpha2: 'UM',
      alpha3: 'UMI',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '',
      dialCode: '',
    ),
    (
      koreanName: '미크로네시아 연방',
      englishName: 'Micronesia',
      officialName: 'Micronesia',
      alpha2: 'FM',
      alpha3: 'FSM',
      currencyCode: 'USD',
      currencyName: 'U.S. Dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇫🇲',
      dialCode: '+691',
    ),
    (
      koreanName: '마셜 제도',
      englishName: 'Marshall Islands',
      officialName: 'Marshall Islands',
      alpha2: 'MH',
      alpha3: 'MHL',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇲🇭',
      dialCode: '+692',
    ),
    (
      koreanName: '팔라우',
      englishName: 'Palau',
      officialName: 'Belau',
      alpha2: 'PW',
      alpha3: 'PLW',
      currencyCode: 'USD',
      currencyName: 'U.S. Dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇵🇼',
      dialCode: '+680',
    ),
    (
      koreanName: '파키스탄',
      englishName: 'Pakistan',
      officialName: 'پاکستان',
      alpha2: 'PK',
      alpha3: 'PAK',
      currencyCode: 'PKR',
      currencyName: 'Pakistani rupee',
      currencyKoreanName: '루피',
      currencySymbol: '₨',
      flag: '🇵🇰',
      dialCode: '+92',
    ),
    (
      koreanName: '파나마',
      englishName: 'Panama',
      officialName: 'Panamá',
      alpha2: 'PA',
      alpha3: 'PAN',
      currencyCode: 'PAB',
      currencyName: 'Panamanian balboa',
      currencyKoreanName: '발보아',
      currencySymbol: 'B/.',
      flag: '🇵🇦',
      dialCode: '+507',
    ),
    (
      koreanName: '파푸아 뉴기니',
      englishName: 'Papua New Guinea',
      officialName: 'Papua New Guinea',
      alpha2: 'PG',
      alpha3: 'PNG',
      currencyCode: 'PGK',
      currencyName: 'Papua New Guinean kina',
      currencyKoreanName: '키나',
      currencySymbol: 'K',
      flag: '🇵🇬',
      dialCode: '+675',
    ),
    (
      koreanName: '파라과이',
      englishName: 'Paraguay',
      officialName: 'Paraguay',
      alpha2: 'PY',
      alpha3: 'PRY',
      currencyCode: 'PYG',
      currencyName: 'Paraguayan guarani',
      currencyKoreanName: '과라니',
      currencySymbol: 'Gs',
      flag: '🇵🇾',
      dialCode: '+595',
    ),
    (
      koreanName: '페루',
      englishName: 'Peru',
      officialName: 'Perú',
      alpha2: 'PE',
      alpha3: 'PER',
      currencyCode: 'PEN',
      currencyName: 'Peruvian nuevo sol',
      currencyKoreanName: '누에보솔',
      currencySymbol: 'S/.',
      flag: '🇵🇪',
      dialCode: '+51',
    ),
    (
      koreanName: '필리핀',
      englishName: 'Philippines',
      officialName: 'Pilipinas',
      alpha2: 'PH',
      alpha3: 'PHL',
      currencyCode: 'PHP',
      currencyName: 'Philippine peso',
      currencyKoreanName: '페소',
      currencySymbol: '₱',
      flag: '🇵🇭',
      dialCode: '+63',
    ),
    (
      koreanName: '핏케언 제도',
      englishName: 'Pitcairn Islands',
      officialName: 'Pitcairn',
      alpha2: 'PN',
      alpha3: 'PCN',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇵🇳',
      dialCode: '+64',
    ),
    (
      koreanName: '폴란드',
      englishName: 'Poland',
      officialName: 'Polska',
      alpha2: 'PL',
      alpha3: 'POL',
      currencyCode: 'PLN',
      currencyName: 'Polish zloty',
      currencyKoreanName: '즈워티',
      currencySymbol: 'zł',
      flag: '🇵🇱',
      dialCode: '+48',
    ),
    (
      koreanName: '포르투갈',
      englishName: 'Portugal',
      officialName: 'Portugal',
      alpha2: 'PT',
      alpha3: 'PRT',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇵🇹',
      dialCode: '+351',
    ),
    (
      koreanName: '기니비사우',
      englishName: 'Guinea-Bissau',
      officialName: 'Guiné-Bissau',
      alpha2: 'GW',
      alpha3: 'GNB',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇬🇼',
      dialCode: '+245',
    ),
    (
      koreanName: '동티모르',
      englishName: 'Timor-Leste',
      officialName: 'Timor-Leste',
      alpha2: 'TL',
      alpha3: 'TLS',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇹🇱',
      dialCode: '+670',
    ),
    (
      koreanName: '푸에르토리코',
      englishName: 'Puerto Rico',
      officialName: 'Puerto Rico',
      alpha2: 'PR',
      alpha3: 'PRI',
      currencyCode: 'USD',
      currencyName: 'U.S. Dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇵🇷',
      dialCode: '+1787',
    ),
    (
      koreanName: '카타르',
      englishName: 'Qatar',
      officialName: 'قطر',
      alpha2: 'QA',
      alpha3: 'QAT',
      currencyCode: 'QAR',
      currencyName: 'Qatari riyal',
      currencyKoreanName: '리알',
      currencySymbol: '﷼',
      flag: '🇶🇦',
      dialCode: '+974',
    ),
    (
      koreanName: '레위니옹',
      englishName: 'Réunion',
      officialName: 'Reunion',
      alpha2: 'RE',
      alpha3: 'REU',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇷🇪',
      dialCode: '+262',
    ),
    (
      koreanName: '루마니아',
      englishName: 'Romania',
      officialName: 'România',
      alpha2: 'RO',
      alpha3: 'ROU',
      currencyCode: 'RON',
      currencyName: 'Romanian leu',
      currencyKoreanName: '레우',
      currencySymbol: 'lei',
      flag: '🇷🇴',
      dialCode: '+40',
    ),
    (
      koreanName: '러시아',
      englishName: 'Russia',
      officialName: 'Россия',
      alpha2: 'RU',
      alpha3: 'RUS',
      currencyCode: 'RUB',
      currencyName: 'Russian ruble',
      currencyKoreanName: '루블',
      currencySymbol: 'руб',
      flag: '🇷🇺',
      dialCode: '+7',
    ),
    (
      koreanName: '르완다',
      englishName: 'Rwanda',
      officialName: 'Rwanda',
      alpha2: 'RW',
      alpha3: 'RWA',
      currencyCode: 'RWF',
      currencyName: 'Rwandan franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇷🇼',
      dialCode: '+250',
    ),
    (
      koreanName: '세인트헬레나',
      englishName: 'Saint Helena',
      officialName: 'Saint Helena',
      alpha2: 'SH',
      alpha3: 'SHN',
      currencyCode: 'SHP',
      currencyName: 'Saint Helena pound',
      currencyKoreanName: '파운드',
      currencySymbol: '£',
      flag: '🇸🇭',
      dialCode: '+290',
    ),
    (
      koreanName: '세인트키츠 네비스',
      englishName: 'Saint Kitts and Nevis',
      officialName: 'Saint Kitts and Nevis',
      alpha2: 'KN',
      alpha3: 'KNA',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇰🇳',
      dialCode: '+1869',
    ),
    (
      koreanName: '앵귈라',
      englishName: 'Anguilla',
      officialName: 'Anguilla',
      alpha2: 'AI',
      alpha3: 'AIA',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇦🇮',
      dialCode: '+1264',
    ),
    (
      koreanName: '세인트루시아',
      englishName: 'Saint Lucia',
      officialName: 'Saint Lucia',
      alpha2: 'LC',
      alpha3: 'LCA',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇱🇨',
      dialCode: '+1758',
    ),
    (
      koreanName: '생피에르 미클롱',
      englishName: 'Saint Pierre and Miquelon',
      officialName: 'Saint Pierre and Miquelon',
      alpha2: 'PM',
      alpha3: 'SPM',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇵🇲',
      dialCode: '+508',
    ),
    (
      koreanName: '세인트빈센트 그레나딘',
      englishName: 'Saint Vincent and the Grenadines',
      officialName: 'Saint Vincent and the Grenadines',
      alpha2: 'VC',
      alpha3: 'VCT',
      currencyCode: 'XCD',
      currencyName: 'East Caribbean dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇻🇨',
      dialCode: '+1784',
    ),
    (
      koreanName: '산마리노',
      englishName: 'San Marino',
      officialName: 'San Marino',
      alpha2: 'SM',
      alpha3: 'SMR',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇸🇲',
      dialCode: '+378',
    ),
    (
      koreanName: '상투메 프린시페',
      englishName: 'São Tomé and Príncipe',
      officialName: 'São Tomé and Príncipe',
      alpha2: 'ST',
      alpha3: 'STP',
      currencyCode: 'STD',
      currencyName: 'Sao Tome and Principe dobra',
      currencyKoreanName: '도브라',
      currencySymbol: 'Db',
      flag: '🇸🇹',
      dialCode: '+239',
    ),
    (
      koreanName: '사우디아라비아',
      englishName: 'Saudi Arabia',
      officialName: 'المملكة العربية السعودية',
      alpha2: 'SA',
      alpha3: 'SAU',
      currencyCode: 'SAR',
      currencyName: 'Saudi riyal',
      currencyKoreanName: '리얄',
      currencySymbol: '﷼',
      flag: '🇸🇦',
      dialCode: '+966',
    ),
    (
      koreanName: '세네갈',
      englishName: 'Senegal',
      officialName: 'Sénégal',
      alpha2: 'SN',
      alpha3: 'SEN',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇸🇳',
      dialCode: '+221',
    ),
    (
      koreanName: '세르비아',
      englishName: 'Serbia',
      officialName: 'Србија',
      alpha2: 'RS',
      alpha3: 'SRB',
      currencyCode: 'RSD',
      currencyName: 'Serbian dinar',
      currencyKoreanName: '',
      currencySymbol: 'Дин.',
      flag: '🇷🇸',
      dialCode: '+381',
    ),
    (
      koreanName: '세이셸',
      englishName: 'Seychelles',
      officialName: 'Seychelles',
      alpha2: 'SC',
      alpha3: 'SYC',
      currencyCode: 'SCR',
      currencyName: 'Seychellois rupee',
      currencyKoreanName: '루피',
      currencySymbol: '₨',
      flag: '🇸🇨',
      dialCode: '+248',
    ),
    (
      koreanName: '시에라리온',
      englishName: 'Sierra Leone',
      officialName: 'Sierra Leone',
      alpha2: 'SL',
      alpha3: 'SLE',
      currencyCode: 'SLL',
      currencyName: 'Sierra Leonean leone',
      currencyKoreanName: '레온',
      currencySymbol: 'Le',
      flag: '🇸🇱',
      dialCode: '+232',
    ),
    (
      koreanName: '싱가포르',
      englishName: 'Singapore',
      officialName: 'Singapura',
      alpha2: 'SG',
      alpha3: 'SGP',
      currencyCode: 'SGD',
      currencyName: 'Singapore dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇸🇬',
      dialCode: '+65',
    ),
    (
      koreanName: '슬로바키아',
      englishName: 'Slovakia',
      officialName: 'Slovensko',
      alpha2: 'SK',
      alpha3: 'SVK',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇸🇰',
      dialCode: '+421',
    ),
    (
      koreanName: '베트남',
      englishName: 'Vietnam',
      officialName: 'Việt Nam',
      alpha2: 'VN',
      alpha3: 'VNM',
      currencyCode: 'VND',
      currencyName: 'Vietnamese dong',
      currencyKoreanName: '동',
      currencySymbol: '₫',
      flag: '🇻🇳',
      dialCode: '+84',
    ),
    (
      koreanName: '슬로베니아',
      englishName: 'Slovenia',
      officialName: 'Slovenija',
      alpha2: 'SI',
      alpha3: 'SVN',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇸🇮',
      dialCode: '+386',
    ),
    (
      koreanName: '소말리아',
      englishName: 'Somalia',
      officialName: 'Soomaaliya',
      alpha2: 'SO',
      alpha3: 'SOM',
      currencyCode: 'SOS',
      currencyName: 'Somali shilling',
      currencyKoreanName: '실링',
      currencySymbol: 'S',
      flag: '🇸🇴',
      dialCode: '+252',
    ),
    (
      koreanName: '남아프리카 공화국',
      englishName: 'South Africa',
      officialName: 'South Africa',
      alpha2: 'ZA',
      alpha3: 'ZAF',
      currencyCode: 'ZAR',
      currencyName: 'South African rand',
      currencyKoreanName: '랜드',
      currencySymbol: 'R',
      flag: '🇿🇦',
      dialCode: '+27',
    ),
    (
      koreanName: '짐바브웨',
      englishName: 'Zimbabwe',
      officialName: 'Zimbabwe',
      alpha2: 'ZW',
      alpha3: 'ZWE',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇿🇼',
      dialCode: '+263',
    ),
    (
      koreanName: '스페인',
      englishName: 'Spain',
      officialName: 'España',
      alpha2: 'ES',
      alpha3: 'ESP',
      currencyCode: 'EUR',
      currencyName: 'European euro',
      currencyKoreanName: '유로',
      currencySymbol: '€',
      flag: '🇪🇸',
      dialCode: '+34',
    ),
    (
      koreanName: '남수단',
      englishName: 'REPUBLIC OF SOUTH SUDAN',
      officialName: 'South Sudan',
      alpha2: 'SS',
      alpha3: 'SSD',
      currencyCode: 'SDG',
      currencyName: 'Sudanese pound',
      currencyKoreanName: '파운드',
      currencySymbol: '£',
      flag: '🇸🇸',
      dialCode: '+211',
    ),
    (
      koreanName: '서사하라',
      englishName: 'Western Sahara',
      officialName: 'الصحراء الغربية',
      alpha2: 'EH',
      alpha3: 'ESH',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '',
      dialCode: '',
    ),
    (
      koreanName: '수단',
      englishName: 'Sudan',
      officialName: 'السودان',
      alpha2: 'SD',
      alpha3: 'SDN',
      currencyCode: 'SDG',
      currencyName: 'Sudanese pound',
      currencyKoreanName: '파운드',
      currencySymbol: 'ج.س.',
      flag: '🇸🇩',
      dialCode: '+249',
    ),
    (
      koreanName: '수리남',
      englishName: 'Suriname',
      officialName: 'Suriname',
      alpha2: 'SR',
      alpha3: 'SUR',
      currencyCode: 'SRD',
      currencyName: 'Surinamese dollar',
      currencyKoreanName: '',
      currencySymbol: '\$',
      flag: '🇸🇷',
      dialCode: '+597',
    ),
    (
      koreanName: '스발바르 얀마옌',
      englishName: 'Svalbard and Jan Mayen',
      officialName: 'Svalbard and Jan Mayen',
      alpha2: 'SJ',
      alpha3: 'SJM',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇸🇯',
      dialCode: '+47',
    ),
    (
      koreanName: '스와질란드',
      englishName: 'Swaziland',
      officialName: 'Swaziland',
      alpha2: 'SZ',
      alpha3: 'SWZ',
      currencyCode: 'SZL',
      currencyName: 'Swazi lilangeni',
      currencyKoreanName: '릴랑게니',
      currencySymbol: 'L',
      flag: '🇸🇿',
      dialCode: '+268',
    ),
    (
      koreanName: '스웨덴',
      englishName: 'Sweden',
      officialName: 'Sverige',
      alpha2: 'SE',
      alpha3: 'SWE',
      currencyCode: 'SEK',
      currencyName: 'Swedish krona',
      currencyKoreanName: '크로나',
      currencySymbol: 'kr',
      flag: '🇸🇪',
      dialCode: '+46',
    ),
    (
      koreanName: '스위스',
      englishName: 'Switzerland',
      officialName: 'Schweiz',
      alpha2: 'CH',
      alpha3: 'CHE',
      currencyCode: 'CHF',
      currencyName: 'Swiss franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr.',
      flag: '🇨🇭',
      dialCode: '+41',
    ),
    (
      koreanName: '시리아',
      englishName: 'Syria',
      officialName: 'سوريا',
      alpha2: 'SY',
      alpha3: 'SYR',
      currencyCode: 'SYP',
      currencyName: 'Syrian pound',
      currencyKoreanName: '파운드',
      currencySymbol: '£',
      flag: '🇸🇾',
      dialCode: '+963',
    ),
    (
      koreanName: '타지키스탄',
      englishName: 'Tajikistan',
      officialName: 'Тоҷикистон',
      alpha2: 'TJ',
      alpha3: 'TJK',
      currencyCode: 'TJS',
      currencyName: 'Tajikistani somoni',
      currencyKoreanName: '',
      currencySymbol: 'ЅМ',
      flag: '🇹🇯',
      dialCode: '+992',
    ),
    (
      koreanName: '타이',
      englishName: 'Thailand',
      officialName: 'ราชอาณาจักรไทย',
      alpha2: 'TH',
      alpha3: 'THA',
      currencyCode: 'THB',
      currencyName: 'Thai baht',
      currencyKoreanName: '바트',
      currencySymbol: '฿',
      flag: '🇹🇭',
      dialCode: '+66',
    ),
    (
      koreanName: '토고',
      englishName: 'Togo',
      officialName: 'Togo',
      alpha2: 'TG',
      alpha3: 'TGO',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇹🇬',
      dialCode: '+228',
    ),
    (
      koreanName: '토켈라우',
      englishName: 'Tokelau',
      officialName: 'Tokelau',
      alpha2: 'TK',
      alpha3: 'TKL',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇹🇰',
      dialCode: '+690',
    ),
    (
      koreanName: '통가',
      englishName: 'Tonga',
      officialName: 'Tonga',
      alpha2: 'TO',
      alpha3: 'TON',
      currencyCode: 'TOP',
      currencyName: 'Paanga',
      currencyKoreanName: '팡가',
      currencySymbol: 'T\$',
      flag: '🇹🇴',
      dialCode: '+676',
    ),
    (
      koreanName: '트리니다드 토바고',
      englishName: 'Trinidad and Tobago',
      officialName: 'Trinidad and Tobago',
      alpha2: 'TT',
      alpha3: 'TTO',
      currencyCode: 'TTD',
      currencyName: 'Trinidad and Tobago dollar',
      currencyKoreanName: '달러',
      currencySymbol: 'TT\$',
      flag: '🇹🇹',
      dialCode: '+1868',
    ),
    (
      koreanName: '아랍에미리트',
      englishName: 'United Arab Emirates',
      officialName: 'الإمارات العربيّة المتّحدة',
      alpha2: 'AE',
      alpha3: 'ARE',
      currencyCode: 'AED',
      currencyName: 'UAE dirham',
      currencyKoreanName: '디르함',
      currencySymbol: 'فلس',
      flag: '🇦🇪',
      dialCode: '+971',
    ),
    (
      koreanName: '튀니지',
      englishName: 'Tunisia',
      officialName: 'تونس',
      alpha2: 'TN',
      alpha3: 'TUN',
      currencyCode: 'TND',
      currencyName: 'Tunisian dinar',
      currencyKoreanName: '디나르',
      currencySymbol: 'ملّيم',
      flag: '🇹🇳',
      dialCode: '+216',
    ),
    (
      koreanName: '터키',
      englishName: 'Turkey',
      officialName: 'Türkiye',
      alpha2: 'TR',
      alpha3: 'TUR',
      currencyCode: 'TRY',
      currencyName: 'Turkish new lira',
      currencyKoreanName: '리라',
      currencySymbol: '₺',
      flag: '🇹🇷',
      dialCode: '+90',
    ),
    (
      koreanName: '투르크메니스탄',
      englishName: 'Turkmenistan',
      officialName: 'Türkmenistan',
      alpha2: 'TM',
      alpha3: 'TKM',
      currencyCode: 'TMT',
      currencyName: 'Turkmenistan manat',
      currencyKoreanName: '',
      currencySymbol: 'm',
      flag: '🇹🇲',
      dialCode: '+993',
    ),
    (
      koreanName: '터크스 케이커스 제도',
      englishName: 'Turks and Caicos Islands',
      officialName: 'Turks and Caicos Islands',
      alpha2: 'TC',
      alpha3: 'TCA',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇹🇨',
      dialCode: '+1649',
    ),
    (
      koreanName: '투발루',
      englishName: 'Tuvalu',
      officialName: 'Tuvalu',
      alpha2: 'TV',
      alpha3: 'TUV',
      currencyCode: 'AUD',
      currencyName: 'Australian dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇹🇻',
      dialCode: '+688',
    ),
    (
      koreanName: '우간다',
      englishName: 'Uganda',
      officialName: 'Uganda',
      alpha2: 'UG',
      alpha3: 'UGA',
      currencyCode: 'UGX',
      currencyName: 'Ugandan shilling',
      currencyKoreanName: '실링',
      currencySymbol: 'USh',
      flag: '🇺🇬',
      dialCode: '+256',
    ),
    (
      koreanName: '우크라이나',
      englishName: 'Ukraine',
      officialName: 'Україна',
      alpha2: 'UA',
      alpha3: 'UKR',
      currencyCode: 'UAH',
      currencyName: 'Ukrainian hryvnia',
      currencyKoreanName: '흐리브냐',
      currencySymbol: '₴',
      flag: '🇺🇦',
      dialCode: '+380',
    ),
    (
      koreanName: '마케도니아 공화국',
      englishName: 'Macedonia [FYROM]',
      officialName: 'Македонија',
      alpha2: 'MK',
      alpha3: 'MKD',
      currencyCode: 'MKD',
      currencyName: 'Macedonian denar',
      currencyKoreanName: '디나르',
      currencySymbol: 'ден',
      flag: '🇲🇰',
      dialCode: '+389',
    ),
    (
      koreanName: '이집트',
      englishName: 'Egypt',
      officialName: 'مصر',
      alpha2: 'EG',
      alpha3: 'EGY',
      currencyCode: 'EGP',
      currencyName: 'Egyptian pound',
      currencyKoreanName: '파운드',
      currencySymbol: '£',
      flag: '🇪🇬',
      dialCode: '+20',
    ),
    (
      koreanName: '영국',
      englishName: 'United Kingdom',
      officialName: 'United Kingdom',
      alpha2: 'GB',
      alpha3: 'GBR',
      currencyCode: 'GBP',
      currencyName: 'British pound',
      currencyKoreanName: '파운드',
      currencySymbol: '£',
      flag: '🇬🇧',
      dialCode: '+44',
    ),
    (
      koreanName: '건지 섬',
      englishName: 'Guernsey',
      officialName: 'Guernsey',
      alpha2: 'GG',
      alpha3: 'GGY',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇬🇬',
      dialCode: '+44',
    ),
    (
      koreanName: '저지 섬',
      englishName: 'Jersey',
      officialName: 'Jersey',
      alpha2: 'JE',
      alpha3: 'JEY',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇯🇪',
      dialCode: '+44',
    ),
    (
      koreanName: '맨 섬',
      englishName: 'Isle of Man',
      officialName: 'Isle of Man',
      alpha2: 'IM',
      alpha3: 'IMN',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇮🇲',
      dialCode: '+44',
    ),
    (
      koreanName: '탄자니아',
      englishName: 'Tanzania',
      officialName: 'Tanzania',
      alpha2: 'TZ',
      alpha3: 'TZA',
      currencyCode: 'TZS',
      currencyName: 'Tanzanian shilling',
      currencyKoreanName: '실링',
      currencySymbol: 'TSh',
      flag: '🇹🇿',
      dialCode: '+255',
    ),
    (
      koreanName: '미국',
      englishName: 'United States',
      officialName: 'United States',
      alpha2: 'US',
      alpha3: 'USA',
      currencyCode: 'USD',
      currencyName: 'United States dollar',
      currencyKoreanName: '달러',
      currencySymbol: '\$',
      flag: '🇺🇸',
      dialCode: '+1',
    ),
    (
      koreanName: '미국령 버진아일랜드',
      englishName: 'U.S. Virgin Islands',
      officialName: 'Virgin Islands, U.S.',
      alpha2: 'VI',
      alpha3: 'VIR',
      currencyCode: '',
      currencyName: '',
      currencyKoreanName: '',
      currencySymbol: '',
      flag: '🇻🇮',
      dialCode: '+1340',
    ),
    (
      koreanName: '부르키나파소',
      englishName: 'Burkina Faso',
      officialName: 'Burkina Faso',
      alpha2: 'BF',
      alpha3: 'BFA',
      currencyCode: 'XOF',
      currencyName: 'West African CFA franc',
      currencyKoreanName: '(BCEAO)',
      currencySymbol: 'Fr',
      flag: '🇧🇫',
      dialCode: '+226',
    ),
    (
      koreanName: '우루과이',
      englishName: 'Uruguay',
      officialName: 'Uruguay',
      alpha2: 'UY',
      alpha3: 'URY',
      currencyCode: 'UYU',
      currencyName: 'Uruguayan peso',
      currencyKoreanName: '페소',
      currencySymbol: '\$U',
      flag: '🇺🇾',
      dialCode: '+598',
    ),
    (
      koreanName: '우즈베키스탄',
      englishName: 'Uzbekistan',
      officialName: 'O\'zbekiston',
      alpha2: 'UZ',
      alpha3: 'UZB',
      currencyCode: 'UZS',
      currencyName: 'Uzbekistani som',
      currencyKoreanName: '솜',
      currencySymbol: 'лв',
      flag: '🇺🇿',
      dialCode: '+998',
    ),
    (
      koreanName: '베네수엘라',
      englishName: 'Venezuela',
      officialName: 'Venezuela',
      alpha2: 'VE',
      alpha3: 'VEN',
      currencyCode: 'VEF',
      currencyName: 'Venezuelan bolivar',
      currencyKoreanName: '후에르떼',
      currencySymbol: 'Bs',
      flag: '🇻🇪',
      dialCode: '+58',
    ),
    (
      koreanName: '왈리스 퓌튀나',
      englishName: 'Wallis and Futuna',
      officialName: 'Wallis and Futuna',
      alpha2: 'WF',
      alpha3: 'WLF',
      currencyCode: 'XPF',
      currencyName: 'CFP franc',
      currencyKoreanName: '프랑',
      currencySymbol: 'Fr',
      flag: '🇼🇫',
      dialCode: '+681',
    ),
    (
      koreanName: '사모아',
      englishName: 'Samoa',
      officialName: 'Samoa',
      alpha2: 'WS',
      alpha3: 'WSM',
      currencyCode: 'WST',
      currencyName: 'Samoan tala',
      currencyKoreanName: '탈라',
      currencySymbol: 'T',
      flag: '🇼🇸',
      dialCode: '+685',
    ),
    (
      koreanName: '예멘',
      englishName: 'Yemen',
      officialName: 'اليمن',
      alpha2: 'YE',
      alpha3: 'YEM',
      currencyCode: 'YER',
      currencyName: 'Yemeni rial',
      currencyKoreanName: '리알',
      currencySymbol: '﷼',
      flag: '🇾🇪',
      dialCode: '+967',
    ),
    (
      koreanName: '잠비아',
      englishName: 'Zambia',
      officialName: 'Zambia',
      alpha2: 'ZM',
      alpha3: 'ZMB',
      currencyCode: 'ZMW',
      currencyName: 'Zambian kwacha',
      currencyKoreanName: '',
      currencySymbol: 'ZK',
      flag: '🇿🇲',
      dialCode: '+260',
    ),
  ];

  if (keyword != null && keyword.isNotEmpty) {
    keyword = keyword.toLowerCase();
    List<CountryCode> newCountries = [];

    for (var i = 0; i < countries.length; i++) {
      if (countries[i].koreanName.toLowerCase().contains(keyword) ||
          countries[i].englishName.toLowerCase().contains(keyword) ||
          countries[i].officialName.toLowerCase().contains(keyword) ||
          countries[i].alpha2.toLowerCase().contains(keyword) ||
          countries[i].alpha3.toLowerCase().contains(keyword) ||
          countries[i].currencyCode.toLowerCase().contains(keyword) ||
          countries[i].currencyName.toLowerCase().contains(keyword) ||
          countries[i].currencyKoreanName.toLowerCase().contains(keyword) ||
          countries[i].currencySymbol.toLowerCase().contains(keyword) ||
          countries[i].dialCode.toLowerCase().contains(keyword)) {
        newCountries.add(countries[i]);
      }
    }
    return newCountries;
  } else {
    return countries;
  }
}

String getOfficalNameByCode(String code) {
  final matchingCountry = countryList().firstWhere(
    (country) => country.alpha2 == code,
  );

  return matchingCountry.officialName;
}
